Subject: bug#12170: save-excursion fails boundary case with recenter

From: martin rudalics <[email-masked]>
Date: Fri, 10 Aug 2012 18:46:53 +0200

> Perhaps the moral is that `save-excursion' should not enclose any code,
 > including `recenter', that affects how buffers are displayed within windows.

Ideally, code should not call `recenter' unless it's sure that no
point-changing code follows it before the next redisplay.  Or better,
code should call `recenter' iff it definitely wants to overrule any
point-changing code that follows it.

martin